> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/enterprise-guide/jp/personal-vaults-for-enterprise-and-business-users/provision-family-plans-via-api.md).

# API経由で家族向けプランを提供

{% hint style="info" %}
このAPIは、Keeper Security Government Cloudリージョンに導入されているKeeperおよびエンタープライズ顧客のパートナー向けです。
{% endhint %}

## 概要

エンタープライズ顧客は、ファミリープランのプロビジョニングに[REST](https://www.codecademy.com/article/what-is-rest) APIを利用できます。カスタムアプリケーションの開発や既存システムとの連携に組み込み、プロビジョニングを自動化できます。

## APIの機能

ProvisionファミリープランAPIエンドポイントは、エンタープライズアカウントとMSPパートナーがKeeperファミリーライセンスを登録するためのものです。このエンドポイントは、以下の製品/アドオンで**1年間のライセンス**を作成します。

* Keeperファミリー
* BreachWatch (ダークウェブ監視)
* 10GBファイルストレージ

Keeperファミリーライセンスの全機能リストについては、こちらの[ページ](https://www.keepersecurity.com/ja_JP/family-plan.html)をご参照ください。

{% hint style="success" %}
このAPIを利用するには、サポート担当者に連絡してAPIキーを申請してください。発行されたキーは、Keeperのボルト内のレコードとして共有されます。
{% endhint %}

### API定義

{% openapi src="<https://3468650114-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeJwa6ByNJ2qindnPknCW%2Fuploads%2FhaQICV68LwroMLLedyUL%2FFamilyPlan.yaml?alt=media&token=b7bb628c-fc29-4468-8d36-8db7043b16af>" path="/create-license" method="get" %}
<https://3468650114-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeJwa6ByNJ2qindnPknCW%2Fuploads%2FhaQICV68LwroMLLedyUL%2FFamilyPlan.yaml?alt=media&token=b7bb628c-fc29-4468-8d36-8db7043b16af>
{% endopenapi %}

### APIの追加情報

#### APIパラメータ

必須パラメータの詳細については、こちらをご覧ください。

{% content-ref url="/pages/kUDwZIjZkM4WBFU7mk5S" %}
[APIパラメータ](/enterprise-guide/jp/api-troubleshooting/api-parameters.md)
{% endcontent-ref %}

#### APIレスポンスコード

レスポンスコードの詳細については、こちらをご覧ください。

{% content-ref url="/pages/zjzTmfULXVa9XQpQfeiF" %}
[APIレスポンスコード](/enterprise-guide/jp/api-troubleshooting/api-response-codes.md)
{% endcontent-ref %}

#### API エクスプローラ

Postmanや[Swaggerエディタ](https://editor.swagger.io/)のような別のツールでAPIを調査したい場合は、APIの関連するYAML定義を以下からダウンロードしてください。

Swaggerを使ったAPI探索の詳細については、こちらをご覧ください。

{% content-ref url="/pages/tJ3aHoJNHqBeZ3TaRg8o" %}
[APIエクスプローラ - Swagger](/enterprise-guide/jp/api-troubleshooting/api-explorer-swagger.md)
{% endcontent-ref %}

{% hint style="info" %}
これらのAPIの使用方法についてサポートが必要な場合や追加の質問がある場合は、サポートまたは営業担当者にお問い合わせください。
{% endhint %}

### サンプルnode.jsスクリプト

以下のサンプルを使って、お使いの環境での実装方法をご確認ください。

```
var request = require('request');
var CryptoJS = require('crypto-js');

var secret = 'PARTNER_SECRET';
var partner_name = 'PARTNER_NAME';
var email = 'EMAIL';
var hash = CryptoJS.SHA256(email + secret);
var transaction_id = 'TRANSACTION_ID';
var first_name = 'FIRST_NAME';
var last_name = 'LAST_NAME';

var options = {
  'method': 'GET',
  'url': 'https://keepersecurity.com/bi_api/v1/services/partner/create-license?transaction_id='+transaction_id+'&first_name='+first_name+'&last_name='+last_name+'&email='+email+'&hash='+hash+'&partner_name='+partner_name+'',
  'headers': {
      'Content-Type': 'application/json'
  }
  };

  request(options, function (error, response) {
      if (error) console.log("Error From the server: "+error);
      console.log("response body: "+response.body);
      console.log("response status: "+response.statusCode);
  });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/enterprise-guide/jp/personal-vaults-for-enterprise-and-business-users/provision-family-plans-via-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
